curl --request PATCH \
--url https://api.enterprise.sandbox.uphold.com/core/kyc/processes/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"details": {
"fullName": "John Doe",
"primaryCitizenship": "GB",
"birthdate": "1987-01-01"
}
}
}
'{
"profile": {
"status": "ok",
"input": {
"details": {
"fullName": "John Doe",
"primaryCitizenship": "GB",
"birthdate": "1987-01-01"
}
},
"hint": {
"type": "form",
"schema": {
"type": "object",
"additionalProperties": false,
"properties": null,
"details": {
"title": "Details",
"type": "object",
"additionalProperties": false,
"properties": null,
"fullName": {
"title": "What is your full name?",
"type": "string",
"pattern": "^\\S+\\s+\\S+(\\s+\\S+)*$",
"minLength": 2,
"maxLength": 255
},
"primaryCitizenship": {
"title": "What is your primary citizenship?",
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"birthdate": {
"title": "What is your date of birth?",
"type": "string",
"format": "date"
}
}
},
"uiSchema": {
"type": "Categorization",
"elements": [
{
"label": "Details",
"type": "Category",
"elements": [
{
"label": "Full name",
"type": "Control",
"scope": "#/properties/details/properties/fullName"
},
{
"label": "Primary citizenship",
"type": "Control",
"scope": "#/properties/details/properties/primaryCitizenship",
"options": {
"dataSource": "countries",
"exclude": {
"restrictions": [
{
"scope": "citizenship"
}
]
}
}
},
{
"label": "Date of birth",
"type": "Control",
"scope": "#/properties/details/properties/birthdate"
}
]
}
]
}
}
}
}curl --request PATCH \
--url https://api.enterprise.sandbox.uphold.com/core/kyc/processes/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"details": {
"fullName": "John Doe",
"primaryCitizenship": "GB",
"birthdate": "1987-01-01"
}
}
}
'{
"profile": {
"status": "ok",
"input": {
"details": {
"fullName": "John Doe",
"primaryCitizenship": "GB",
"birthdate": "1987-01-01"
}
},
"hint": {
"type": "form",
"schema": {
"type": "object",
"additionalProperties": false,
"properties": null,
"details": {
"title": "Details",
"type": "object",
"additionalProperties": false,
"properties": null,
"fullName": {
"title": "What is your full name?",
"type": "string",
"pattern": "^\\S+\\s+\\S+(\\s+\\S+)*$",
"minLength": 2,
"maxLength": 255
},
"primaryCitizenship": {
"title": "What is your primary citizenship?",
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"birthdate": {
"title": "What is your date of birth?",
"type": "string",
"format": "date"
}
}
},
"uiSchema": {
"type": "Categorization",
"elements": [
{
"label": "Details",
"type": "Category",
"elements": [
{
"label": "Full name",
"type": "Control",
"scope": "#/properties/details/properties/fullName"
},
{
"label": "Primary citizenship",
"type": "Control",
"scope": "#/properties/details/properties/primaryCitizenship",
"options": {
"dataSource": "countries",
"exclude": {
"restrictions": [
{
"scope": "citizenship"
}
]
}
}
},
{
"label": "Date of birth",
"type": "Control",
"scope": "#/properties/details/properties/birthdate"
}
]
}
]
}
}
}
}GET /core/kyc?detailed=profile, you will get a hint property which includes a dynamic form schema and UI schema.
The hint property will also be available in responses of this endpoint, in case there are still questions to be answered.
For more information about forms, refer to the form-based processes section.OAuth 2.0 authentication.
Dynamic form input following the JSON Forms specification, enabling progressive disclosure of properties and anytime submissions to keep profile details up to date.
KYC profile process updated.
The KYC profile object.
Show child attributes
Was this page helpful?